Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

integration_app_id
string
required

Owning application identifier.

Query Parameters

page_size
integer<int32>

Maximum number of integrations to return. Zero uses the default.

page_token
string

Continuation token from the previous page.

Response

200 - application/json

EdgeIntegrationServiceListResponse is one page of integration metadata.

EdgeIntegrationServiceListResponse is one page of integration metadata.

list
Edge Integration · object[] | null

Integrations in the requested application.

nextPageToken
string

Token for the next page; empty when complete.